<!--begin::Portlet-->
<div id="attributes-portlet" class="m-portlet" xmlns="http://www.w3.org/1999/html">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Create Category Information
                </h3>
            </div>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <div class="col-lg-6">
                    <ValidationProvider rules="required" v-slot="{ errors }" name="category name" ref="name">
                        <label>Name:</label>
                        <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter category name" v-model="baseInfo.name">
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter category name</span>
                    </ValidationProvider>
                </div>
                <div class="col-lg-6">
                    <ValidationProvider rules="" v-slot="{ errors }" name="category description" ref="description">
                        <label class="">Description:</label>
                        <textarea class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" v-model="baseInfo.description"></textarea>
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter category description</span>
                    </ValidationProvider>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <div class="col-lg-12">
                    <ValidationProvider rules="" v-slot="{ errors }" name="parent category" ref="parent">
                        <label>Parent Category <small>(optional)</small>:</label>
                        <select-component v-model="baseInfo.parent" :data="selectCategoriesList"></select-component>
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please select category parent</span>
                    </ValidationProvider>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <div class="col-lg-6">
                    <ValidationProvider rules="image" v-slot="{ errors, validate }" name="category icon" ref="icon">
                        <label>Icon:</label>
                        <file-component @fileProcessed="pushIcon" @change="validate" :styles="{ 'is-invalid': errors.length > 0 }" accepts="image/png,image/jpg,image/jpeg"></file-component>
                        <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please select category icon</span>
                    </ValidationProvider>
                </div>
                <div class="col-lg-6">

                    <img v-if="baseInfo.icon.preview" :src="baseInfo.icon.preview" width="150px" height="150px">

                    <p v-else>No image selected. Select image for preview!</p>
                </div>
            </div>
        </div>
    </form>
</div>